> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List recent files for a member

GET https://api.sigmacomputing.com/v2/members/{memberId}/files/recents

List all recent documents and folders accessible to a specific user. By default, ignores explorations in the returned list.

  ### Usage notes
  - Retrieve the **memberId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint.
    

Reference: https://help.sigmacomputing.com/reference/list-recent-inodes

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/members/{memberId}/files/recents:
    get:
      operationId: listRecentInodes
      summary: List recent files for a member
      description: >-
        List all recent documents and folders accessible to a specific user. By
        default, ignores explorations in the returned list.

          ### Usage notes
          - Retrieve the **memberId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint.
            
      tags:
        - Members
      parameters:
        - name: memberId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: includeExplorations
          in: query
          required: false
          schema:
            $ref: >-
              #/components/schemas/V2MembersMemberIdFilesRecentsGetParametersIncludeExplorations
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/members_listRecentInodes_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2MembersMemberIdFilesRecentsGetParametersIncludeExplorations:
      type: string
      enum:
        - 'true'
        - 'false'
      description: Include explorations in the response.
      title: V2MembersMemberIdFilesRecentsGetParametersIncludeExplorations
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Type:
      type: string
      enum:
        - workspace
        - folder
        - workbook
        - dataset
        - data-model
        - sql
        - worksheet
        - dashboard
        - template
        - table
        - symlink
        - report
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Type
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission0:
      type: string
      enum:
        - create
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission0
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission1:
      type: string
      enum:
        - annotate
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission1
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission2:
      type: string
      enum:
        - organize
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission2
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission3:
      type: string
      enum:
        - explore
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission3
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission40:
      type: string
      enum:
        - view
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission40
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission41:
      type: string
      enum:
        - edit
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission41
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission42:
      type: string
      enum:
        - apply
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission42
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission4:
      oneOf:
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission40
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission41
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission42
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission4
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission:
      oneOf:
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission0
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission1
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission2
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission3
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission4
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems0:
      type: object
      properties:
        id:
          type: string
        urlId:
          type: string
        name:
          type: string
        type:
          $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Type
        parentId:
          type: string
        parentUrlId:
          type: string
        permission:
          $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItemsOneOf0Permission
        path:
          type: string
        badge:
          type:
            - string
            - 'null'
        isArchived:
          type: boolean
        description:
          type: string
        ownerId:
          type:
            - string
            - 'null'
        parentSourceUrlId:
          type: string
          description: >-
            For a document deployed to a tenant organization, the `urlId` of the
            source document in the parent organization. Only present when the
            document was deployed from a parent organization. The source
            document can be a workbook, template, data model, dataset, or
            report.
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
        lastInteractionAt:
          type: string
          format: date-time
      required:
        - id
        - urlId
        - name
        - type
        - parentId
        - parentUrlId
        - permission
        - path
        - badge
        - isArchived
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems0
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems1:
      type: object
      properties:
        code:
          type: number
          format: double
        message:
          type: string
        requestId:
          type: string
      required:
        - code
        - message
        - requestId
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems1
    V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems:
      oneOf:
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems0
        - $ref: >-
            #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems1
      title: >-
        V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems
    members_listRecentInodes_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2MembersMemberIdFilesRecentsGetResponsesContentApplicationJsonSchemaEntriesItems
          description: Array of results returned by the endpoint
        nextPage:
          type:
            - string
            - 'null'
          description: >-
            Returns a string that can be used as the `page` parameter in the
            next request to fetch the next page of results. The last page of
            results returns `null`.
        total:
          type: number
          format: double
          description: >-
            Total number of results. Useful to determine if there is a need to
            paginate.
        hasMore:
          type: boolean
          description: '**[Deprecated]** Indicates whether more results are available.'
      required:
        - entries
        - nextPage
      title: members_listRecentInodes_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Response**

```json
{
  "entries": [
    {
      "badge": "Endorsed",
      "createdAt": "2022-11-22T22:33:47.323Z",
      "createdBy": "<memberId>",
      "description": "Examples description",
      "id": "00000000-0000-0000-0000-000000000000",
      "isArchived": false,
      "lastInteractionAt": "2023-11-22T22:33:47.323Z",
      "name": "Examples",
      "ownerId": "<memberId>",
      "parentId": "00000000-0000-0000-0000-000000000001",
      "parentUrlId": "57a96EMo3GVJG73179MV2G",
      "path": "My Documents/Examples",
      "permission": "create",
      "type": "folder",
      "updatedAt": "2022-11-22T22:33:47.323Z",
      "updatedBy": "<memberId>",
      "urlId": "57a96EMo3GVJG73179MV2l"
    }
  ],
  "nextPage": null,
  "total": 1,
  "hasMore": false
}
```

**SDK Code**

```python Response Example
import requests

url = "https://api.sigmacomputing.com/v2/members/memberId/files/recents"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response Example
const url = 'https://api.sigmacomputing.com/v2/members/memberId/files/recents';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/members/memberId/files/recents"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response Example
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/members/memberId/files/recents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java Response Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/members/memberId/files/recents")
  .header("Authorization", "<token>.")
  .asString();
```

```php Response Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/members/memberId/files/recents', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp Response Example
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/members/memberId/files/recents");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift Response Example
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/members/memberId/files/recents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```